Public Class GridOverview
    Private _DataSource As List(Of WorkflowItem)

    Public Property DataSource As List(Of WorkflowItem)
        Get
            Return _DataSource
        End Get
        Set(value As List(Of WorkflowItem))
            _DataSource = value
            GridControl.DataSource = value

            If Not IsNothing(value) Then
                ApplyStyles()
            End If
        End Set
    End Property

    Private Sub ApplyStyles()
        With gvOverview.Columns.Item("StateImage")
            .VisibleIndex = 0
            .MaxWidth = 20
            .OptionsColumn.ShowCaption = False
        End With
        gvOverview.Columns.Item("Process").VisibleIndex = 1
        gvOverview.Columns.Item("State").Visible = False
    End Sub

    Private Sub ShowRawDataToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ShowRawDataToolStripMenuItem.Click
        Dim oItem As WorkflowItem = gvOverview.GetFocusedRow()

        If oItem IsNot Nothing Then
            Dim oForm As New frmWorkflowRawData(oItem.Raw)
            oForm.ShowDialog()
        End If

    End Sub
End Class
